package com.hzya.frame.sysnew.sysInterface.entity;

import java.util.Date;

import com.hzya.frame.web.entity.BaseEntity;

/**
 * 系统接口表(SysInterface)实体类
 *
 * @author makejava
 * @since 2024-04-09 09:12:22
 */
public class SysInterfaceEntity extends BaseEntity {

    /**
     * 接口名称
     */
    private String name;
    /**
     * 服务名
     */
    private String beanName;
    /**
     * 方法名
     */
    private String interfaceName;
    /**
     * 备注
     */
    private String remark;
    /**
     * 状态：0 启用 1 停用
     */
    private String state;
    /**
     * 公司id
     */
    private String companyId;
    /**
     * 是否选中
     */
    private boolean check;


    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getBeanName() {
        return beanName;
    }

    public void setBeanName(String beanName) {
        this.beanName = beanName;
    }

    public String getInterfaceName() {
        return interfaceName;
    }

    public void setInterfaceName(String interfaceName) {
        this.interfaceName = interfaceName;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public boolean isCheck() {
        return check;
    }

    public void setCheck(boolean check) {
        this.check = check;
    }
}

